servant-0.16.2: A family of combinators for defining webservices APIs

Safe Haskell | Safe
Language | Haskell2010

Servant.API.Empty

Synopsis

- data EmptyAPI = EmptyAPI

# Documentation

data EmptyAPI Source #

An empty API: one which serves nothing. Morally speaking, this should be the unit of `:<|>`. Implementors of interpretations of API types should treat `EmptyAPI` as close to the unit as possible.

Constructors

EmptyAPI |

#### Instances

Instances details

Bounded EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods minBound :: EmptyAPI maxBound :: EmptyAPI
Enum EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods succ :: EmptyAPI -> EmptyAPI pred :: EmptyAPI -> EmptyAPI toEnum :: Int -> EmptyAPI fromEnum :: EmptyAPI -> Int enumFrom :: EmptyAPI -> [EmptyAPI] enumFromThen :: EmptyAPI -> EmptyAPI -> [EmptyAPI] enumFromTo :: EmptyAPI -> EmptyAPI -> [EmptyAPI] enumFromThenTo :: EmptyAPI -> EmptyAPI -> EmptyAPI -> [EmptyAPI]
Eq EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods (==) :: EmptyAPI -> EmptyAPI -> Bool (/=) :: EmptyAPI -> EmptyAPI -> Bool
Show EmptyAPI Source # |
Instance details Defined in Servant.API.Empty Methods showsPrec :: Int -> EmptyAPI -> ShowS show :: EmptyAPI -> String showList :: [EmptyAPI] -> ShowS
HasLink EmptyAPI Source # |
Instance details Defined in Servant.Links Associated Types type MkLink EmptyAPI a Source # Methods toLink :: (Link -> a) -> Proxy EmptyAPI -> Link -> MkLink EmptyAPI a Source #
type MkLink EmptyAPI a Source # |
Instance details Defined in Servant.Links type MkLink EmptyAPI a = EmptyAPI